Skip to main content
`Ctrl`+`K`

# MatDenseCUDARestoreArrayWrite

Restore write access to the CUDA buffer inside a `MATDENSECUDA` matrix previously obtained with `MatDenseCUDAGetArrayWrite()`.

## Synopsis

    PetscErrorCode MatDenseCUDARestoreArrayWrite(Mat A, PetscScalar **a)

Not Collective

## Input Parameters

- A - the matrix

- a - the GPU array in column major order

## See Also

`MATDENSECUDA`, `MatDenseCUDAGetArray()`, `MatDenseCUDARestoreArray()`, `MatDenseCUDAGetArrayWrite()`, `MatDenseCUDARestoreArrayRead()`, `MatDenseCUDAGetArrayRead()`

## Level

developer

## Location

src/mat/impls/dense/mpi/cupm/cuda/matmpidensecuda.cu

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages